1.1

1.1

post /v1/auto-scaling-groups

Description

Auto-Scaling Group을 생성한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AutoScalingGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "name": "auto-scaling-group-name",
    "notifications": [],
    "scaling_policies": [],
    "security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_name_prefix": "server-name-prefix",
    "subnet_ids": [
        ""
    ],
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "launch_configuration_name": "launch-configuration-name",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "auto-scaling-group-name",
    "security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_name_prefix": "server-name-prefix",
    "state": "IN_SERVICE",
    "subnet_ids": [],
    "total_server_count": 1,
    "vpc_id": "cc976b621087484ea5fd527f4b78708b"
}